FLANG

Public Types | Public Member Functions | List of all members
Fortran::evaluate::Convert< TO, FROMCAT > Struct Template Reference
Inheritance diagram for Fortran::evaluate::Convert< TO, FROMCAT >:

## Public Types
using | Result = TO
using | Operand = SomeKind< FROMCAT >
using | Base = Operation< Convert, Result, Operand >
Public Types inherited from Fortran::evaluate::Operation< Convert< TO, TO::category >, TO, SomeKind< TO::category > >
using | Derived = Convert< TO, TO::category >
using | Result = TO
using | Operand = std::tuple_element_t< J, OperandTypes >

## Public Member Functions
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const
Public Member Functions inherited from Fortran::evaluate::Operation< Convert< TO, TO::category >, TO, SomeKind< TO::category > >
| Operation (const Expr< OPERANDS > &... x)
| Operation (Expr< OPERANDS > &&... x)
Derived & | derived ()
const Derived & | derived () const
Expr< Operand< J > > & | operand ()
const Expr< Operand< J > > & | operand () const
Expr< Operand< 0 > > & | left ()
const Expr< Operand< 0 > > & | left () const
std::conditional_t<(operands > 1), Expr< Operand< 1 > > &, void > | right ()
std::conditional_t<(operands > 1), const Expr< Operand< 1 > > &, void > | right () const
int | Rank () const
bool | operator== (const Operation &that) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

## Additional Inherited Members
Static Public Member Functions inherited from Fortran::evaluate::Operation< Convert< TO, TO::category >, TO, SomeKind< TO::category > >
static constexpr std::optional< DynamicType > | GetType ()
Static Public Attributes inherited from Fortran::evaluate::Operation< Convert< TO, TO::category >, TO, SomeKind< TO::category > >
static constexpr std::size_t | operands

The documentation for this struct was generated from the following files:

- include/flang/Evaluate/expression.h
- lib/Evaluate/formatting.cpp